Redmine - Feature #12112

Forcing locale (language) on a project
2012-10-16 13:45 - Tomer Shalev

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

The entire project is in Hebrew. It looks good when | look at it while | am signed-in to the site, because | set my main language to be
Hebrew, and therefore the paragraphs in the site are right-to-left aligned.

| browsed the project site as a guest, and got the following results:

1. On a Windows user that have set his locale to Hebrew, the site displays properly, with Hebrew language for the site widgets (only
those who are translated...) and right-to-left aligned.

2. On a Windows user that is not configured with Hebrew locale, the site displays in English, and the Hebrew paragraphs are
displayed left-to-right, which is not natural.

I would like to configure the entire project to use the Hebrew locale, so that all users (which are expected to be Hebrew speakers due
to the nature of this project) can see it properly.

If not possible, | would like to at least force Hebrew paragraphs to be right-to-left aligned.

| would appreciate your help with this matter.

Related issues:
Is duplicate of Redmine - Feature #2691: Option to disable automated language... Closed 2009-02-07

History

#1 - 2012-10-16 13:47 - Tomer Shalev

- Status changed from New to Resolved

Moved to forum as a support request

#2 - 2012-10-16 14:04 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2012-10-17 09:03 - Tomer Shalev

- Status changed from Closed to Reopened

| would like to reopen this ticket as a feature request

#4 - 2012-10-17 10:13 - Toshi MARUYAMA
- Category set to Project settings

- Resolution deleted (Invalid)

#5 - 2016-04-02 03:58 - Go MAEDA
- Status changed from Reopened to Closed

- Resolution set to Duplicate

This issue can be resolved by "Force default language for anonymous users" and "Force default language for logged-in users" options implemented
by #2691 (Redmine 2.5.0).
https://www.redmine.org/issues/2691

#6 - 2016-04-02 03:58 - Go MAEDA
- Is duplicate of Feature #2691: Option to disable automated language-guessing based on HTTP_ACCEPT_LANGUAGE HTTP-header added
